using Services.Failures;

namespace Services;

public class ServiceException : Exception
{
    public List<Failure> Failures { get; init; }

    public ServiceException(params Failure[] failures)
    {
        Failures = new List<Failure>(failures);
    }
}